This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 130409 - x86-64 32-bit theme engines missing
x86-64 32-bit theme engines missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-20 00:51 EDT by Erich Hoover
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 12:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erich Hoover 2004-08-20 00:51:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8a3)
Gecko/20040818 Firefox/0.9.1+

Description of problem:
Running an x86-64 installation of FC3T1 only has the bluecurve theme
for 64-bit applications, 32-bit applications (such as the official
Mozilla Firefox build) report the error:
Gtk-WARNING **: Unable to locate theme engine in module_path: "bluecurve",


Version-Release number of selected component (if applicable):
redhat-artwork-0.97-2

How reproducible:
Always

Steps to Reproduce:
1. Install FC3T1
2. Update everything against the development tree
3. Download and install Mozilla Firefox
4. Run Firefox from the command-line
    

Actual Results:  Receive the error:
(firefox-bin:14658): Gtk-WARNING **: Unable to locate theme engine in
module_path: "bluecurve",
and everything is skinned for normal GTK instead of bluecurve.

Expected Results:  Firefox is skinned for bluecurve.

Additional info:

64-bit engines:

/usr/lib64/gtk/themes/engines/:
libbluecurve.so   libnotif2.a         libnotif.la    libraleigh.so
libhicontrast.la  libnotif2.la        libnotif.so    libredmond95.la
libhicontrast.so  libnotif2.so        libpixmap.la   libredmond95.so
libmetal.la       libnotif2.so.0      libpixmap.so   libthinice.la
libmetal.so       libnotif2.so.0.0.0  libraleigh.la  libthinice.so
/usr/lib64/gtk-2.0/2.4.0/engines/:
libbluecurve.la    libhcengine.so        libmist.so       libsmooth.so
libbluecurve.so    liblighthouseblue.so  libpixmap.so     libsvg.so
libcrux-engine.so  libmetal.so           libredmond95.so  libthinice.so

32-bit engines:

/usr/lib/gtk/themes/engines/ does not exist
/usr/lib/gtk-2.0/2.4.0/engines/ does not exist
Comment 1 Alexander Larsson 2004-09-13 09:42:32 EDT
We just need to install both i386 and x86-64 packages. I'll get it
fixed in comps
Comment 2 Alexander Larsson 2004-09-13 12:05:02 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.